## org.jfree.util
Class FastStack

    java.lang.Object
      org.jfree.util.FastStack

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class FastStack

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A very simple unsynchronized stack. This one is faster than the java.util-Version.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`FastStack()`
`FastStack(int size)`

Method Summary
`void` `clear()`
`java.lang.Object` `clone()`
`java.lang.Object` `get(int index)`
`boolean` `isEmpty()`
`java.lang.Object` `peek()`
`java.lang.Object` `pop()`
`void` `push(java.lang.Object o)`
`int` `size()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastStack

    public FastStack()

### FastStack

    public FastStack(int size)

Method Detail

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### push

    public void push(java.lang.Object o)

### peek

    public java.lang.Object peek()

### pop

    public java.lang.Object pop()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### clear

    public void clear()

### get

    public java.lang.Object get(int index)